
%bcond_with ffmpeg

Name:           libfaudio
Version:        19.04
Release:        1%{?dist}
Epoch:		1
Summary:        FAudio, an XAudio reimplementation
License:        zlib
Group:          Hardware/Sound
Url:            https://github.com/FNA-XNA/FAudio
Source0:        FAudio-%{version}.tar.gz
Source1:		faudio.i686.pc
Source2:		faudio.x86_64.pc

BuildRequires:  gcc
BuildRequires:  gcc-c++
%if 0%{?rhel}
BuildRequires:  cmake3
%else
BuildRequires:  cmake
%endif
BuildRequires:  SDL2-devel
Requires:       SDL2

%if 0%{with ffmpeg}
BuildRequires:	ffmpeg-devel
Requires:		ffmpeg-libs
%endif

%description
This is FAudio, an XAudio reimplementation that focuses solely on developing
fully accurate DirectX Audio runtime libraries for the FNA project, including
XAudio2, X3DAudio, XAPO, and XACT3.

%package devel
Version:        %{version}
Release:        1%{?dist}
Summary:        Development files for FAudio
License:        zlib
Requires:		libfaudio

%description devel
%{summary}

%prep
%setup -q -n FAudio-%{version}

%build

mkdir -p build
pushd build

%if 0%{?rhel}
%cmake3 \
%else
%cmake \
%endif
	-DCMAKE_C_FLAGS="-std=c99 $CFLAGS" \
%if 0%{with ffmpeg}
	-DFFMPEG=ON \
%endif
	..

make -s %{?_smp_mflags}
popd

%install

pushd build
make -s install DESTDIR=%{buildroot}
popd

%ifarch %{ix86}
install -D %{SOURCE1} "%{buildroot}%{_libdir}/pkgconfig/faudio.pc"
%endif

%ifarch x86_64
install -D %{SOURCE2} "%{buildroot}%{_libdir}/pkgconfig/faudio.pc"
%endif

%files
%defattr(-,root,root)
%doc LICENSE README
%{_libdir}/libFAudio.so.0
%{_libdir}/libFAudio.so.0.%{version}

%files devel
%{_includedir}/*
%{_libdir}/libFAudio.so
%{_libdir}/pkgconfig/faudio.pc
%{_libdir}/cmake/FAudio


%changelog
* Sat Dec 15 2018 Leonid Maksymchuk <leonmaxx@4menteam.com>
- updated sources

* Sun Nov 18 2018 Leonid Maksymchuk <leonmaxx@4menteam.com>
- initial packaging
